Bug 79483 - unable to close scan window after the scan complete
Summary: unable to close scan window after the scan complete
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-31 14:53 UTC by artarnold1954@frontier.com
Modified: 2015-02-11 19:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
LibreOffcie 4.2.3.3 Writer Insert -> Image -> Scan -> Select Source (122.07 KB, image/jpeg)
2014-06-08 14:43 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description artarnold1954@frontier.com 2014-05-31 14:53:24 UTC
choose to insert document from scanner.  The scan will finish.  You cannot close nor exit the windows to continue work.  Only way to exit is to use the control alt delete

A major problem and was in a RELEASED version  

Should never have been released.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-06 21:21:53 UTC
Has this happened in a previous version of LibreOffice? What version of windows are you running and what type of scanner do you have?
Comment 2 artarnold1954@frontier.com 2014-06-07 01:16:44 UTC
do not have, nor tried another version of Libreoffice.  The scanner is a canon multifunction MP280 completely compatible
with Windows 7 Professional.  After installing/reinstalling about 3-4 times, I gave up.  Sorry is didn’t work.



From: bugzilla-daemon@freedesktop.org 
Sent: Friday, June 06, 2014 5:21 PM
To: artarnold1954@frontier.com 
Subject: [Bug 79483] unable to close scan window after the scan complete

Jay Philips changed bug 79483 
      What Removed Added 
      Status UNCONFIRMED  NEEDINFO  
      CC    philipz85@hotmail.com  
      Ever confirmed    1  


Comment # 1 on bug 79483 from Jay Philips 
Has this happened in a previous version of LibreOffice? What version of windows
are you running and what type of scanner do you have?
--------------------------------------------------------------------------------
You are receiving this mail because: 
  a.. You reported the bug.
Comment 3 Robinson Tryon (qubit) 2014-06-07 03:11:52 UTC
(In reply to comment #2)
> do not have, nor tried another version of Libreoffice.  The scanner is a
> canon multifunction MP280 completely compatible
> with Windows 7 Professional.  After installing/reinstalling about 3-4 times,
> I gave up.  Sorry is didn’t work.

Status -> UNCONFIRMED
Comment 4 Pedro 2014-06-07 14:42:20 UTC
Scanning with LO 4.2.4.2 under Windows XP Pro en_US SP3 x86 works perfectly both with an HP Photosmart 5520 Multifunction and a Canon LIDE 35.

Maybe this is a Windows 7 and/or x64 specific problem?
Comment 5 Yousuf Philips (jay) (retired) 2014-06-07 14:59:32 UTC
(In reply to comment #2)
> do not have, nor tried another version of Libreoffice.  The scanner is a
> canon multifunction MP280 completely compatible
> with Windows 7 Professional.  After installing/reinstalling about 3-4 times,
> I gave up.  Sorry is didn’t work.

Could you possibly send us a screenshot of the scan window that is not closable.
Comment 6 V Stuart Foote 2014-06-08 14:43:03 UTC
Created attachment 100673 [details]
LibreOffcie 4.2.3.3 Writer Insert  -> Image -> Scan -> Select Source

Calling this Works for Me, with caveat that TWAIN vs. WIA could be an issue for folks working on MS Windows.

On Windows 7 sp1, 64-bit (en-US)with
Version: 4.2.3.3
Build ID: 6c3586f855673fa6a1576797f575b31ac6fa0ba3

Screen clip attached is the correct Insert Image from Scanner, which is a two step process.

1. Select the Scanner source in Writer from Insert -> Image -> Scan -> Select Source; a pop-up dialog will show whit a listing of scanner devices *detected* with TWAIN drivers that LibreOffice requires. Select the scanner, in my case a VueScan driven HP Photoshop 3100.  Note: if no Scanners are presented, correct TWAIN (or WIA) driven access to the scanner is not configured.

2. With scanner selected, start a scan acquisition with the "Request" action button, i.e. the Insert -> Image -> Scan -> Request

In my case, TWAIN scan control is passed out of LibreOffice and over to VueScan for actual control of the scanner. Where I do a preview scan, Image rotation and cliping, image format, and make final scan at resolution. With VueScan, I also must complete the scan and release the result by selecting "Last Page". 

Note that ALL of this is external to LibreOffice which will *block* waiting for the input and release. When image is returned from scanner it is inserted anchored at cursor position and scaled to fit within current document margins.

@artarnold1954, can you describe the driver type (WIA or TWAIN) and supporting software for your chosen scanner?
Comment 7 QA Administrators 2015-01-10 18:06:01 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 8 QA Administrators 2015-02-11 19:44:21 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11